cdef extern from "SomeCppHeader.h" nogil:
    cdef cppclass SomeDeclaredCppClass nogil:
        int getter()

cdef cppclass SomeDefinedCppClass nogil:
    int value
    int getter():
        return this.value
    void __init__():
        this.value = 42

cdef int do_test() nogil:
    cdef SomeDefinedCppClass* heap_allocated_cpp_object = new SomeDefinedCppClass()
    val = heap_allocated_cpp_object.getter()
    del heap_allocated_cpp_object
    return val

cpdef void test():
    print(do_test())

