# mode: run
# distutils: language=c++
# distutils: extra_compile_args=-std=c++11
# tag: cpp

# This is extremely hacky
cdef extern from "Python.h":
  struct CyObject "CyObject"
  void Cy_INCREF(CyObject* o) nogil

cdef cypclass SomeMemory:
  int a

  SomeMemory __new__(f):
    o = f()
    o.a = -2
    return o


  void __init__(self):
    this.a += 1

  void __init__(self, int a):
    pass

  void __init__(self, int a, int b, int c, int d = 21, int e = 31):
    self.a = e

cdef cypclass SomeArgUnpacking:
  int a

  SomeArgUnpacking __new__(f, int a, int b, int c, int d = 21, int e = 31):
    o = f()
    return o

  void __init__(self, int a, int b, int c=2, int d=4, int e = 32, int g = 65):
    self.a = e


cdef cypclass SomeNewTrick:
  int a

  void* __new__(f, int a):
    o = f()
    o.a = a
    # As we are returning a non-reference counted variable (void*),
    # Cython will decref o (as it is reference-counted).
    # To avoid premature memory deallocation, we have to keep a reference here
    Cy_INCREF(<CyObject*>o)
    return <void*> o

  void __init__(self, int a, int b, int c, int d = 21, int e = 31):
    self.a = e


cdef cypclass SomeNotInstanciable:
  double __new__(unused, int a, double b):
    return a*b


cdef int foo():
  o = SomeMemory()
  return o.a

cdef int bar():
  o = <SomeNewTrick> SomeNewTrick(3)
  return o.a

cdef int baz():
  o = SomeArgUnpacking(3, 2, 1, 0)
  return o.a

cdef double baa():
  o = SomeNotInstanciable.__new__(SomeNotInstanciable.__alloc__, 2, 3.4)
  o = SomeNotInstanciable.__new__(NULL, 2, 3.4)
  return o

cpdef bag():
  """
  >>> bag()
  -1
  3
  32
  6.8
  """
  print str(foo()) + '\n' + str(bar()) + '\n' + str(baz()) + '\n' + str(baa())
