from distutils.core import setup
from distutils.extension import Extension
from Cython.Build import cythonize

setup(
    ext_modules = cythonize([
        Extension(
            'cypclass_test_constructor_optional_arguments',
            language='c++',
            sources=['cypclass_test_constructor_optional_arguments.pyx'],
            extra_compile_args=["-pthread", "-std=c++11"],
        ),
    ])
)