from distutils.core import setup
from distutils.extension import Extension
from Cython.Build import cythonize

setup(
    ext_modules = cythonize([
        Extension(
            'cypclass_test_multiple_inheritance',
            language='c++',
            sources=['cypclass_test_multiple_inheritance.pyx'],
            extra_compile_args=["-pthread", "-std=c++11"],
        ),
    ])
)

