# mode: run
# distutils: language=c++
# distutils: extra_compile_args=-std=c++11
# tag: cpp

cdef cypclass SomeMemory:
    int a

    unsigned int __unsigned_int__(self):
        return <unsigned int> self.a

    int __int__(self):
        return self.a

    bint __bool__(self):
        return self.a < 0

cdef cypclass SomeWrapper:
    SomeMemory m

    void __init__(self, int a=0):
        self.m = SomeMemory()
        self.m.a = a

    SomeMemory __SomeMemory__(self):
        return self.m

cpdef bag():
  """
  >>> bag()
  -1
  4294967295
  True
  3
  False
  """
  cdef SomeMemory o = SomeMemory()
  o.a = -1
  cdef SomeWrapper w = SomeWrapper(3)
  print str(<int> o) + '\n' + str(<unsigned int> o) + '\n' + str(<bint> o)\
         + '\n' + str(<int> <SomeMemory> w) + '\n' + str(<bint> <SomeMemory> w)
